Skip to main content

Retrieve tasks

You can retrieve tasks created in the application through the API.

Request

This method allows you to retrieve tasks created in the application:

GET /company/{companyID}/tasks

Run in Postman

Parameters

ParameterInTypeRequiredDescriptionExample
companyIDpathstring
✔️
Company identifierWy3EOp2NP3p1KMq8

Request example

cURL Request
curl -X GET https://api.flatchr.io/company/Wy3EOp2NP3p1KMq8/tasks
-H "Authorization: Bearer {token}"
-H 'Content-Type: application/json'

Response

NameTypeDescription
idstringTask identifier
descriptionstringTask description
value[string]The element(s) the task relates to: member for a user and applicant for a candidate
typestringType (always equal to "task")
datetimestampTask date
donebooleanHas the task been completed?

Response example

[
{
"id": "rENkKd8r0e93xYGM",
"description": "Hello Jeanne, \n\ntu pourras suprimer les colonnes :\n\" A recevoir\" \"A appeler\" et Cvs en attente\" stp \npour ne pas créer de confusion pour les utilisateurs et pour éviter de fausses manip ..\n\nmerci d'avance @+\n\nNicolas ",
"value": [
"member=ZmQNJ9MLLGp5LwDB"
],
"type": "task",
"date": "2021-09-21T13:10:08.991Z",
"done": true
},
{
"id": "r8q3Bp4Vl3n0RMgL",
"description": "A relancer suite à l'annulation de sa visio ",
"value": [
"applicant=BEjyY9lwpB9nZl7o"
],
"type": "task",
"date": "2021-09-22T07:00:00.000Z",
"done": true
},
{
"id": "vYJA39J3q5plNQwE",
"description": "Penses bien à envoyer un mail de sans suite lorsque tu archives un candidat",
"value": [
"member=ZmPNJ9LLLMp5LwDB"
],
"type": "task",
"date": "2021-09-24T09:42:47.000Z",
"done": true
}
]